Skip to main content
GET
/
v1
/
bot
/
crm
/
deals
List CRM Deals
curl --request GET \
  --url https://api.boostgpt.co/v1/bot/crm/deals \
  --header 'Authorization: Bearer <token>'
{
  "total": 123,
  "deals": [
    {
      "uuid": "<string>",
      "title": "<string>",
      "value": 123,
      "currency": "<string>",
      "status": "open",
      "contact": {
        "uuid": "<string>",
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "company": "<string>",
        "status": "<string>",
        "status_label": "<string>",
        "fields": {},
        "summary": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      },
      "stage": {
        "uuid": "<string>",
        "name": "<string>",
        "closed_status": "open",
        "probability": 123,
        "sort_order": 123
      }
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key

Query Parameters

project_id
string
required

Project ID

bot_id
string
required

Agent ID

page
integer
default:1
Required range: x >= 1
per_page
integer
Required range: 1 <= x <= 100
status
enum<string>
Available options:
open,
won,
lost
pipeline_id
string

Response

Success

total
integer
deals
object[]
pagination
object